Package org.apache.cxf.common.jaxb

# Class JAXBUtils.DefaultClassNameAllocator

java.lang.Object
org.apache.cxf.common.jaxb.JAXBUtils.DefaultClassNameAllocator

Enclosing class:
  JAXBUtils

public static class JAXBUtils.DefaultClassNameAllocator extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultClassNameAllocator()`
  `DefaultClassNameAllocator(Set<String> set)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `assignClassName(String packageName, String className)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultClassNameAllocator

    public DefaultClassNameAllocator()

  - ### DefaultClassNameAllocator

    public DefaultClassNameAllocator(Set<String> set)

- ## Method Details

  - ### assignClassName

    public String assignClassName(String packageName, String className)